Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3882)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationInjector.java	(revision 3883)
@@ -15,6 +15,7 @@
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
+import org.txm.annotation.kr.core.messages.Messages;
 import org.txm.importer.StaxIdentityParser;
 import org.txm.importer.ValidateXml;
 import org.txm.utils.logger.Log;
@@ -86,7 +87,7 @@
 			XMLStreamException {
 		super(xmlFile.toURI().toURL()); // init reader and writer
 		
-		this.user = System.getProperty("user.name");
+		this.user = System.getProperty("user.name"); //$NON-NLS-1$
 		
 		this.debug = debug;
 		this.xmlFile = xmlFile;
@@ -149,10 +150,10 @@
 		});
 		
 		if (debug) {
-			Log.finer("annotations for " + xmlFile);
-			Log.finer(" segment grouped and ordered by start position: " + annotationsToAddByStartPos);
-			Log.finer(" segment grouped and ordered by end position: " + annotationsToAddByEndPos);
-			Log.finer(" token ordered by start position: " + tokenAnnotations);
+			Log.finer("annotations for " + xmlFile); //$NON-NLS-1$
+			Log.finer(" segment grouped and ordered by start position: " + annotationsToAddByStartPos); //$NON-NLS-1$
+			Log.finer(" segment grouped and ordered by end position: " + annotationsToAddByEndPos); //$NON-NLS-1$
+			Log.finer(" token ordered by start position: " + tokenAnnotations); //$NON-NLS-1$
 		}
 	}
 	
@@ -172,12 +173,12 @@
 		// System.out.println("A Starts: "+currentStartAnnotations+" "+currentEndAnnotations);
 		// if (debug)
 		// System.out.println("----- "+localname+"@"+position_counter+" START ANNOT = "+currentStartAnnotations);
-		if ("teiHeader".equals(localname)) {
+		if ("teiHeader".equals(localname)) { //$NON-NLS-1$
 			super.processStartElement();
-			goToEnd("teiHeader"); // skip teiHeader // will be closed in
+			goToEnd("teiHeader"); // skip teiHeader // will be closed in //$NON-NLS-1$
 			// processEndElement()
 		}
-		else if ("w".equals(localname)) {
+		else if ("w".equals(localname)) { //$NON-NLS-1$
 			// System.out.println("W START pos="+position_counter+" annots="+currentStartAnnotations);
 			if (currentStartAnnotations != null) {// there are still annotations
 				// to write, possible
@@ -185,20 +186,20 @@
 				// if (debug)
 				// System.out.println("WRITING START at "+position_counter+": "+currentStartAnnotations);
 				for (Annotation a : currentStartAnnotations) {
-					if (!"#del".equals(a.getValue())) {
+					if (!"#del".equals(a.getValue())) { //$NON-NLS-1$
 						if (debug) {
-							Log.finer(" force write start annotation " + a);
+							Log.finer(" force write start annotation " + a); //$NON-NLS-1$
 						}
 						writeStartAnnotation(a);
 					}
 					else {
 						if (debug)
-							Log.finer(" no need to write start annotation " + a);
+							Log.finer(" no need to write start annotation " + a); //$NON-NLS-1$
 						currentEndAnnotations = annotationsToAddByEndPos.get(a.getEnd());
 						// System.out.println(" shall we need to change annotation attribute : "+a.getValue()+
 						// " | currentEndAnnotations : "+currentEndAnnotations);
 						if (currentEndAnnotations == null) {
-							Log.finer("WARNING ERROR null pointer for end position of annotation " + a);
+							Log.finer("WARNING ERROR null pointer for end position of annotation " + a); //$NON-NLS-1$
 						}
 						else {
 							currentEndAnnotations.remove(a);
@@ -230,20 +231,20 @@
 			super.processStartElement(); // write the tag
 			
 		}
-		else if ("form".equals(localname) && inW) {
-			if (currentTokenAnnotations.containsKey("word")) {
-				Annotation a = currentTokenAnnotations.get("word");
+		else if ("form".equals(localname) && inW) { //$NON-NLS-1$
+			if (currentTokenAnnotations.containsKey("word")) { //$NON-NLS-1$
+				Annotation a = currentTokenAnnotations.get("word"); //$NON-NLS-1$
 				// System.out.println("Updating token annotation with: " + a);
 				
 				String value = a.getValue();
-				if ("#del".equals(value)) {
-					value = "";
+				if ("#del".equals(value)) { //$NON-NLS-1$
+					value = ""; //$NON-NLS-1$
 				}
 				if (value == null) {
-					value = "ERROR";
+					value = "ERROR"; //$NON-NLS-1$
 				}
 				try {
-					writer.writeStartElement(TXMNS, "form");
+					writer.writeStartElement(TXMNS, "form"); //$NON-NLS-1$
 					writer.writeCharacters(value);
 					mustChangeWordValue = true;
 				}
@@ -252,31 +253,31 @@
 					e.printStackTrace();
 				}
 				
-				currentTokenAnnotations.remove("word"); // annotation updated
+				currentTokenAnnotations.remove("word"); // annotation updated //$NON-NLS-1$
 			}
 			else {
 				super.processStartElement();
 			}
 		}
-		else if ("ana".equals(localname) && inW) {
+		else if ("ana".equals(localname) && inW) { //$NON-NLS-1$
 			inAna = true;
-			String type = parser.getAttributeValue(null, "type").substring(1);
+			String type = parser.getAttributeValue(null, "type").substring(1); //$NON-NLS-1$
 			if (currentTokenAnnotations.containsKey(type)) {
 				Annotation a = currentTokenAnnotations.get(type);
 				// System.out.println("Updating token annotation with: " + a);
 				
 				String value = a.getValue();
-				if ("#del".equals(value)) {
-					value = "";
+				if ("#del".equals(value)) { //$NON-NLS-1$
+					value = ""; //$NON-NLS-1$
 				}
 				if (value == null) {
-					value = "ERROR";
+					value = "ERROR"; //$NON-NLS-1$
 				}
 				
 				try {
-					writer.writeStartElement("ana");
-					writer.writeAttribute("type", "#" + type);
-					writer.writeAttribute("resp", "#" + a.getAnnotator()); // change
+					writer.writeStartElement("ana"); //$NON-NLS-1$
+					writer.writeAttribute("type", "#" + type); //$NON-NLS-1$ //$NON-NLS-2$
+					writer.writeAttribute("resp", "#" + a.getAnnotator()); // change //$NON-NLS-1$ //$NON-NLS-2$
 					// resp
 					writer.writeCharacters(value);
 					mustChangeAnaValue = true;
@@ -295,10 +296,10 @@
 		else if (currentStartAnnotations != null) { // is it an annotations ?
 			// System.out.println("A START="+localname);
 			
-			String s_end = parser.getAttributeValue(null, "end");
-			String s_start = parser.getAttributeValue(null, "start");
-			String s_author = parser.getAttributeValue(null, "author");
-			String s_ref = parser.getAttributeValue(null, "ref");
+			String s_end = parser.getAttributeValue(null, "end"); //$NON-NLS-1$
+			String s_start = parser.getAttributeValue(null, "start"); //$NON-NLS-1$
+			String s_author = parser.getAttributeValue(null, "author"); //$NON-NLS-1$
+			String s_ref = parser.getAttributeValue(null, "ref"); //$NON-NLS-1$
 			
 			boolean toDelete = false;
 			
@@ -328,12 +329,12 @@
 							// updated = true;
 							// if (debug)
 							// System.out.println(" found existing annotation "+a);
-							if ("#del".equals(a.getValue())) {
+							if ("#del".equals(a.getValue())) { //$NON-NLS-1$
 								toDelete = true;
 								// currentEndAnnotations.remove(a); // MAYBE NOT TO
 								// DO THIS HERE ?
 								if (debug) {
-									Log.finer(" force delete start annotation " + a);
+									Log.finer(" force delete start annotation " + a); //$NON-NLS-1$
 								}
 							}
 							else { // update existing annotation, no need to store
@@ -341,7 +342,7 @@
 								writeStartAnnotation(a);
 								toDelete = true;
 								if (debug) {
-									Log.finer(" update annotation " + a);
+									Log.finer(" update annotation " + a); //$NON-NLS-1$
 								}
 								currentEndAnnotations = annotationsToAddByEndPos.get(a.getEnd());// EL
 								// NO
@@ -351,7 +352,7 @@
 								// System.out.println(" shall we need to change annotation attribute : "+a.getValue()+
 								// " | currentEndAnnotations : "+currentEndAnnotations);
 								if (currentEndAnnotations == null) {
-									Log.warning(NLS.bind("Error: null pointer for end position of annotation {0}.", a));
+									Log.warning(NLS.bind(Messages.ErrorNPEForEndPositionOfAnnotationP0, a));
 								}
 								else {
 									currentEndAnnotations.remove(a);
@@ -369,9 +370,9 @@
 						
 						if (s_start != null && s_end != null && s_author != null && s_ref != null) {
 							if (a.getEnd() >= end) { // must write a
-								if (!"#del".equals(a.getValue())) {
+								if (!"#del".equals(a.getValue())) { //$NON-NLS-1$
 									if (debug) {
-										Log.finer(NLS.bind(" writing of start annotation {0}.", a));
+										Log.finer(NLS.bind(" writing of start annotation {0}.", a)); //$NON-NLS-1$
 									}
 									writeStartAnnotation(a);
 									
@@ -379,13 +380,13 @@
 								else {
 									toDelete = true;
 									if (debug) {
-										Log.finer(NLS.bind(" no writing of start annotation {0}.", a));
+										Log.finer(NLS.bind(" no writing of start annotation {0}.", a)); //$NON-NLS-1$
 									}
 									currentEndAnnotations = annotationsToAddByEndPos.get(a.getEnd());
 									// System.out.println(" shall we need to change annotation attribute : "+a.getValue()+
 									// " | currentEndAnnotations : "+currentEndAnnotations);
 									if (currentEndAnnotations == null) {
-										Log.warning(NLS.bind("Error: null pointer for end position of annotation {0}.", a));
+										Log.warning(NLS.bind(Messages.ErrorNPEForEndPositionOfAnnotationP0, a));
 									}
 									else {
 										currentEndAnnotations.remove(a);
@@ -441,14 +442,14 @@
 		// if (debug)
 		// System.out.println("----- "+localname+"@"+position_counter+" END ANNOT = "+currentEndAnnotations);
 		
-		if ("w".equals(localname)) {
+		if ("w".equals(localname)) { //$NON-NLS-1$
 			// System.out.println("W END");
 			
 			for (String type : currentTokenAnnotations.keySet()) {
 				try {
-					writer.writeStartElement("ana");
-					writer.writeAttribute("type", "#" + type);
-					writer.writeAttribute("resp", "#" + currentTokenAnnotations.get(type).getAnnotator()); // change
+					writer.writeStartElement("ana"); //$NON-NLS-1$
+					writer.writeAttribute("type", "#" + type); //$NON-NLS-1$ //$NON-NLS-2$
+					writer.writeAttribute("resp", "#" + currentTokenAnnotations.get(type).getAnnotator()); // change //$NON-NLS-1$ //$NON-NLS-2$
 					// resp
 					writer.writeCharacters(currentTokenAnnotations.get(type).getValue());
 					writer.writeEndElement();
@@ -469,9 +470,9 @@
 				for (Annotation a : currentEndAnnotations) {
 					// if (debug)
 					// System.out.println("=============== End annot : "+a);
-					if (!"#del".equals(a.getValue())) {
+					if (!"#del".equals(a.getValue())) { //$NON-NLS-1$
 						if (debug) {
-							Log.finer(" force write end annotation " + a);
+							Log.finer(" force write end annotation " + a); //$NON-NLS-1$
 						}
 						writeEndAnnotation(a);
 					} /*
@@ -485,13 +486,13 @@
 			
 			position_counter++;
 		}
-		else if ("form".equals(localname) && inW) {
+		else if ("form".equals(localname) && inW) { //$NON-NLS-1$
 			// if (!mustChangeAnaValue)
 			super.processEndElement();
 			mustChangeWordValue = false;
 			inForm = false;
 		}
-		else if ("ana".equals(localname) && inW) {
+		else if ("ana".equals(localname) && inW) { //$NON-NLS-1$
 			// if (!mustChangeAnaValue)
 			super.processEndElement();
 			inAna = false;
@@ -508,12 +509,12 @@
 					// if (debug)
 					// System.out.println(" found existing end annotation "+a);
 					
-					if ("#del".equals(a.getValue())) { // if
+					if ("#del".equals(a.getValue())) { // if //$NON-NLS-1$
 						// (!"#del".equals(a.getValue()))
 						// {
 						toDelete = true;
 						if (debug) {
-							Log.finer(" force delete end annotation " + a);
+							Log.finer(" force delete end annotation " + a); //$NON-NLS-1$
 						}
 					}
 					
@@ -538,12 +539,12 @@
 	
 	private void writeStartAnnotation(Annotation a) {
 		try {
-			writer.writeStartElement("txm:" + a.getType());
-			writer.writeAttribute("author", "" + a.getAnnotator());
-			writer.writeAttribute("ref", a.getValue());
-			writer.writeAttribute("date", Toolbox.dateformat.format(new Date()));
-			writer.writeAttribute("start", Integer.toString(a.getStart()));
-			writer.writeAttribute("end", Integer.toString(a.getEnd()));
+			writer.writeStartElement("txm:" + a.getType()); //$NON-NLS-1$
+			writer.writeAttribute("author", "" + a.getAnnotator()); //$NON-NLS-1$ //$NON-NLS-2$
+			writer.writeAttribute("ref", a.getValue()); //$NON-NLS-1$
+			writer.writeAttribute("date", Toolbox.dateformat.format(new Date())); //$NON-NLS-1$
+			writer.writeAttribute("start", Integer.toString(a.getStart())); //$NON-NLS-1$
+			writer.writeAttribute("end", Integer.toString(a.getEnd())); //$NON-NLS-1$
 		}
 		catch (XMLStreamException e) {
 			// TODO Auto-generated catch block
@@ -565,7 +566,7 @@
 	
 	public static ArrayList<Annotation> testAdding() {
 		
-		Annotation a1 = new Annotation("Actr", "Actr100", 15, 16);
+		Annotation a1 = new Annotation("Actr", "Actr100", 15, 16); //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		return annotations;
@@ -573,7 +574,7 @@
 	
 	public static ArrayList<Annotation> testAddingInclusive() {
 		
-		Annotation a1 = new Annotation("CoAc", "CoAc2093", 15, 19);
+		Annotation a1 = new Annotation("CoAc", "CoAc2093", 15, 19); //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		return annotations;
@@ -581,7 +582,7 @@
 	
 	public static ArrayList<Annotation> testAddingInclusive2() {
 		
-		Annotation a1 = new Annotation("Actr", "Actr100", 15, 16);
+		Annotation a1 = new Annotation("Actr", "Actr100", 15, 16); //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		return annotations;
@@ -589,15 +590,15 @@
 	
 	public static ArrayList<Annotation> testUpdating() {
 		
-		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16);
+		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16); //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		return annotations;
 	}
 	
 	public static ArrayList<Annotation> testUpdatingDeleting() {
-		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16);
-		Annotation a2 = new Annotation("CoAc", "#del", 15, 19);
+		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16); //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a2 = new Annotation("CoAc", "#del", 15, 19); //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
@@ -605,8 +606,8 @@
 	}
 	
 	public static ArrayList<Annotation> testAddDeleting2() {
-		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE
-		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 19); // ADD
+		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 19); // ADD //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
@@ -614,9 +615,9 @@
 	}
 	
 	public static ArrayList<Annotation> testUpdatingDeletingAdding() {
-		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16); // UPDATE
-		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 19); // ADD
-		Annotation a3 = new Annotation("CoAc", "#del", 15, 19);	// DELETE
+		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16); // UPDATE //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 19); // ADD //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a3 = new Annotation("CoAc", "#del", 15, 19);	// DELETE //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
@@ -625,9 +626,9 @@
 	}
 	
 	public static ArrayList<Annotation> testUpdatingDeletingAdding2() {	// NOT WORKING
-		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE
-		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 19); // ADD same place as CoAc
-		Annotation a3 = new Annotation("CoAc", "CoAc2091", 15, 19); // UPDATE
+		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 19); // ADD same place as CoAc //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a3 = new Annotation("CoAc", "CoAc2091", 15, 19); // UPDATE //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
@@ -636,9 +637,9 @@
 	}
 	
 	public static ArrayList<Annotation> testUpdatingDeletingAdding3() {	// NOT WORKING
-		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE
-		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 16); // ADD same place as Actr
-		Annotation a3 = new Annotation("CoAc", "CoAc2091", 15, 19); // UPDATE
+		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 16); // ADD same place as Actr //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a3 = new Annotation("CoAc", "CoAc2091", 15, 19); // UPDATE //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
@@ -647,9 +648,9 @@
 	}
 	
 	public static ArrayList<Annotation> testUpdatingDeletingAdding4() {
-		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE
-		Annotation a2 = new Annotation("NaPl", "NaPl14554", 13, 20); // ADD Outside Actr and CoAc
-		Annotation a3 = new Annotation("CoAc", "CoAc2091", 15, 19); // UPDATE
+		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a2 = new Annotation("NaPl", "NaPl14554", 13, 20); // ADD Outside Actr and CoAc //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a3 = new Annotation("CoAc", "CoAc2091", 15, 19); // UPDATE //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
@@ -658,9 +659,9 @@
 	}
 	
 	public static ArrayList<Annotation> testUpdatingDeletingAdding5() {
-		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE
-		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 16); // ADD
-		Annotation a3 = new Annotation("CoAc", "#del", 15, 19); // DELETE
+		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 16); // ADD //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a3 = new Annotation("CoAc", "#del", 15, 19); // DELETE //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
@@ -669,10 +670,10 @@
 	}
 	
 	public static ArrayList<Annotation> testUpdatingDeletingAdding6() {
-		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE
-		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 16); // ADD
-		Annotation a3 = new Annotation("CoAc", "#del", 15, 19); // DELETE
-		Annotation a4 = new Annotation("CoAc", "CoAc1", 15, 18); // DELETE
+		Annotation a1 = new Annotation("Actr", "#del", 15, 16); // DELETE //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a2 = new Annotation("NaPl", "NaPl14554", 15, 16); // ADD //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a3 = new Annotation("CoAc", "#del", 15, 19); // DELETE //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a4 = new Annotation("CoAc", "CoAc1", 15, 18); // DELETE //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
@@ -682,8 +683,8 @@
 	}
 	
 	public static ArrayList<Annotation> testUpdatingInclusive() {
-		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16);
-		Annotation a2 = new Annotation("CoAc", "CoAc321", 15, 19);
+		Annotation a1 = new Annotation("Actr", "Actr200", 15, 16); //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a2 = new Annotation("CoAc", "CoAc321", 15, 19); //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
@@ -692,7 +693,7 @@
 	
 	public static ArrayList<Annotation> testDeleting() {
 		
-		Annotation a1 = new Annotation("Actr", "#del", 15, 16);
+		Annotation a1 = new Annotation("Actr", "#del", 15, 16); //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		return annotations;
@@ -700,8 +701,8 @@
 	
 	public static ArrayList<Annotation> testDeletingInclusive() {
 		
-		Annotation a1 = new Annotation("Actr", "#del", 15, 16);
-		Annotation a2 = new Annotation("CoAc", "#del", 15, 16);
+		Annotation a1 = new Annotation("Actr", "#del", 15, 16); //$NON-NLS-1$ //$NON-NLS-2$
+		Annotation a2 = new Annotation("CoAc", "#del", 15, 16); //$NON-NLS-1$ //$NON-NLS-2$
 		ArrayList<Annotation> annotations = new ArrayList<>();
 		annotations.add(a1);
 		annotations.add(a2);
@@ -753,92 +754,92 @@
 		switch (test) {
 			case 1:
 				// AnnotationWriter.ADD
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testAdding(); /// OK
 				break;
 			case 2:
 				// AnnotationWriter.UPDATE
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST2.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST2.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testUpdating(); /// OK
 				break;
 			case 3:
 				// AnnotationWriter.DELETE
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST4.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST4.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testDeleting(); /// OK
 				break;
 			case 4:
 				// AnnotationWriter.ADD2
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST3.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST3.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testAddingInclusive(); /// OK
 				break;
 			case 5:
 				// AnnotationWriter.UPDATE2
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testUpdating(); /// OK
 				break;
 			case 6:
 				// AnnotationWriter.DELETE2
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST6.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST6.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testDeleting();
 				break;
 			case 7:
 				// AnnotationWriter.DELETE3
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST6.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST6.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testDeletingInclusive();
 				break;
 			case 8:
 				// AnnotationWriter.DELETE4
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST7.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST7.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testDeletingInclusive();
 				break;
 			case 9:
 				// AnnotationWriter.ADD3
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST3bis.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST3bis.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testAddingInclusive2(); /// OK
 				break;
 			case 10:
 				// AnnotationWriter.UPDATE3
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testUpdatingInclusive(); /// OK
 				break;
 			case 11:
 				// AnnotationWriter.UPDATEDELETE
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testUpdatingDeleting(); /// OK
 				break;
 			case 12:
 				// AnnotationWriter.UPDATEDELETEADD
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testUpdatingDeletingAdding(); /// NOT OK
 				break;
 			case 13:
 				// AnnotationWriter.UPDATEDELETEADD2
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testUpdatingDeletingAdding2(); /// OK
 				break;
 			case 14:
 				// AnnotationWriter.UPDATEDELETEADD3
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testUpdatingDeletingAdding3(); /// OK
 				break;
 			case 15:
 				// AnnotationWriter.UPDATEDELETEADD4 -- add 1 annotation over the 2 others
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testUpdatingDeletingAdding4(); /// OK
 				break;
 			case 16:
 				// AnnotationWriter.UPDATEDELETEADD5 -- delete 2 annotations, add 1
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testUpdatingDeletingAdding5(); /// OK
 				break;
 			case 17:
 				// AnnotationWriter.UPDATEDELETEADD6 -- delete 2 annotations, add 2
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testUpdatingDeletingAdding6(); /// NOT OK
 				break;
 			case 18:
 				// AnnotationWriter.ADDDELETE -- delete 1, add 1
-				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml");
+				xmlFile = new File(System.getProperty("user.home"), "TXM/corpora/TEST/TEST5.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 				annotations = testAddDeleting2(); /// OK
 				break;
 			//
@@ -848,13 +849,13 @@
 		
 		// no token annotations
 		AnnotationInjector annotationInjector = new AnnotationInjector(xmlFile, annotations, new ArrayList<Annotation>(), corpus_start_position, true);
-		File outfile = new File(xmlFile.getParentFile(), "result-" + xmlFile.getName());
+		File outfile = new File(xmlFile.getParentFile(), "result-" + xmlFile.getName()); //$NON-NLS-1$
 		if (annotationInjector.process(outfile)) {
 			if (!ValidateXml.test(outfile)) {
-				System.out.println("FAIL");
+				System.out.println("FAIL"); //$NON-NLS-1$
 			}
 			else {
-				System.out.println("SUCCESS ??");
+				System.out.println("SUCCESS ??"); //$NON-NLS-1$
 			}
 		}
 		
@@ -862,8 +863,8 @@
 	
 	public static void main(String[] args) {
 		try {
-			File xmlFile = new File(System.getProperty("user.home"), "TXM-0.8.3/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test.xml");
-			File outfile = new File(System.getProperty("user.home"), "TXM-0.8.3/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test-out.xml");
+			File xmlFile = new File(System.getProperty("user.home"), "TXM-0.8.3/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test.xml"); //$NON-NLS-1$ //$NON-NLS-2$
+			File outfile = new File(System.getProperty("user.home"), "TXM-0.8.3/corpora/XMLLINEBREAK/txm/XMLLINEBREAK/test-out.xml"); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			ArrayList<Annotation> segmentAnnotations = new ArrayList<>();
 			// int starts[] = { 3, 6 };
@@ -877,16 +878,16 @@
 			int positions[] = { 1, 2 };
 			int n = 1;
 			for (int p : positions) {
-				tokenAnnotations.add(new Annotation("frlemma", "" + (n++), p, p));
-				tokenAnnotations.add(new Annotation("frpos", "" + (n++), p, p));
+				tokenAnnotations.add(new Annotation("frlemma", "" + (n++), p, p)); //$NON-NLS-1$ //$NON-NLS-2$
+				tokenAnnotations.add(new Annotation("frpos", "" + (n++), p, p)); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			
 			AnnotationInjector ai;
 			
 			ai = new AnnotationInjector(xmlFile, segmentAnnotations, tokenAnnotations, 0, true);
-			System.out.println("start processing...");
+			System.out.println("start processing..."); //$NON-NLS-1$
 			ai.process(outfile);
-			System.out.println("Done.");
+			System.out.println("Done."); //$NON-NLS-1$
 		}
 		catch (Exception e) {
 			e.printStackTrace();
